LinuxQuestions.org
Go Job Hunting at the LQ Job Marketplace
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Suse/Novell
User Name
Password
Suse/Novell This Forum is for the discussion of Suse Linux.

Notices

Reply
 
Search this Thread
Old 03-04-2010, 04:09 AM   #1
romeo_tango
Member
 
Registered: Nov 2006
Distribution: Mint
Posts: 148

Rep: Reputation: 15
Question Opensuse 11.2 ATI Repository - Download fglrx Corrupt? Any mirrors?


Hi,

Im trying to install fglrx module via YAST.

ati-fglrxG01-kmp-default (915KB)
x11-video-fglrxG01 (24.53MB)

The problem is that it always returned me this :

Code:
Error: INVALID:Package ati-fglrxG01-kmp-default-8.593_2.6.31.5_0.1-21.1 seems to be corrupted during transfer. Do you want to retry retrieval?
Please help me how to get the fglrx downloaded perfectly. Are there any ATI mirrors or what?

I tried to use one-click-install from OpenSuse Community but aside from the same error, the one-click-install instead downloading the fglrxG02.

Mine is Radeon X1600 and Im sure it is using the G01.

Any ideas?
Thanks.
 
Old 03-04-2010, 04:43 AM   #2
Simon Bridge
Guru
 
Registered: Oct 2003
Location: Waiheke NZ
Distribution: Ubuntu
Posts: 9,211

Rep: Reputation: 197Reputation: 197
X1600 is RV515 chipset supported in the radeonHD driver - do not use fglrx: ATI stopped supporting older cards in the latest drivers. OTOH: they give good support to the free software drivers these days.
 
Old 03-04-2010, 05:01 AM   #3
romeo_tango
Member
 
Registered: Nov 2006
Distribution: Mint
Posts: 148

Original Poster
Rep: Reputation: 15
Yes, okay, I already using radeonhd rite now. Actually that is the only worked for me.

sax2 -r -m 0=radeon gave me a blank screen after entered.
sax2 -r -m 0=radeonhd is successful.

But the problem is now I still can't enable desktop effect. It says that Desktop Effects are not supported on your current hardware / configuration. Since I just upgraded from 11.1, I believe this is the driver / configuration issue.

I already added these line too in xorg.conf:

Code:
Section "Extensions"
Option "Composite" "Enable"
EndSection
And while this module xorg-x11-driver-video-radeonhd - Driver for AMD GPG (ATI) r5xx/r6xx Chipsets already installed in Yast, why do I can't see any radeon drivers in lsmod ?

Here is the result of my lspci | grep "ATI"
Code:
01:00.0 VGA compatible controller: ATI Technologies Inc RV530 [Radeon X1600]
My uname -a
Code:
Linux graypc 2.6.31.5-0.1-default #1 SMP 2009-10-26 15:49:03 +0100 x86_64 x86_64 x86_64 GNU/Linux
 
Old 03-04-2010, 09:31 PM   #4
Simon Bridge
Guru
 
Registered: Oct 2003
Location: Waiheke NZ
Distribution: Ubuntu
Posts: 9,211

Rep: Reputation: 197Reputation: 197
I checked the depreciated cards list just to be sure:
http://wiki.cchtml.com/index.php/Catalyst_9.4
... yep - your card is in the legacy support structure.
Quote:
The Linux ATI Catalyst™ driver will only be supported in Linux distributions prior to February 2009 for the legacy products listed above.
It is possible that there is a legacy fglrx package in your repos (not in mine) - the only one I found on ATIs site was for Win32.

otoh: there are indications that x1600 can have 3d acceleration with radeonhd and mesa drivers - together.

Useful discussion:
http://forums.opensuse.org/hardware/...-2-compiz.html

You may find that the previous attempt to install fglrx has bunta'd X for you - it happens. You need to remove everything associated with it and reinstall everything except the fglrx package from the repos. Update everything in community (at least).

Then try glxinfo.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
ATI driver, fglrx - FATAL: Error inserting fglrx hubabuba Slackware 4 04-18-2009 01:27 PM
how to download from ftp mirrors? vineet7kumar Linux - Newbie 13 10-02-2008 06:21 PM
Random XGL restarts: ATI Fglrx and OpenSuse CobaltWind Linux - Desktop 0 04-02-2007 06:44 PM
Suspend/Resume using OpenSuse 10.0 and ATI (fglrx) jimisola Suse/Novell 0 08-03-2006 04:41 PM
Missing Fire GL X11 extensions in ATI fglrx download Frankj51 Fedora 0 04-09-2006 01:15 PM


All times are GMT -5. The time now is 07:14 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration